=== modified file 'drizzled/definition/table.cc'
--- drizzled/definition/table.cc	2010-11-18 22:57:33 +0000
+++ drizzled/definition/table.cc	2010-11-19 00:00:46 +0000
@@ -1695,7 +1695,7 @@
   local_error= 1;
   error_given= 0;
 
-  message::TablePtr table;
+  message::table::shared_ptr table;
 
   local_error= plugin::StorageEngine::getTableDefinition(session, identifier, table);
 

=== modified file 'drizzled/generator/all_fields.h'
--- drizzled/generator/all_fields.h	2010-11-10 01:54:13 +0000
+++ drizzled/generator/all_fields.h	2010-11-19 00:00:46 +0000
@@ -30,7 +30,7 @@
 {
   Session &session;
   message::Table table_message;
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   int32_t field_iterator;
 
   drizzled::generator::AllTables all_tables_generator;

=== modified file 'drizzled/generator/all_foreign_keys.h'
--- drizzled/generator/all_foreign_keys.h	2010-11-10 01:54:13 +0000
+++ drizzled/generator/all_foreign_keys.h	2010-11-19 00:00:46 +0000
@@ -30,7 +30,7 @@
 {
   Session &session;
   message::Table table_message;
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   int32_t foreign_keys_iterator;
 
   drizzled::generator::AllTables all_tables_generator;

=== modified file 'drizzled/generator/all_indexes.h'
--- drizzled/generator/all_indexes.h	2010-11-10 01:54:13 +0000
+++ drizzled/generator/all_indexes.h	2010-11-19 00:00:46 +0000
@@ -28,7 +28,7 @@
 {
   Session &session;
   message::Table table_message;
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   int32_t index_iterator;
 
   drizzled::generator::AllTables all_tables_generator;

=== modified file 'drizzled/generator/all_tables.h'
--- drizzled/generator/all_tables.h	2010-11-10 01:54:13 +0000
+++ drizzled/generator/all_tables.h	2010-11-19 00:00:46 +0000
@@ -29,7 +29,7 @@
 class AllTables
 {
   Session &session;
-  message::TablePtr table;
+  message::table::shared_ptr table;
 
   TableIdentifiers table_names;
   TableIdentifiers::const_iterator table_iterator;
@@ -45,7 +45,7 @@
 
   void reset();
 
-  operator const drizzled::message::TablePtr()
+  operator const drizzled::message::table::shared_ptr()
   {
     do {
       while (table_iterator != table_names.end())
@@ -58,7 +58,7 @@
       }
     } while ((schema_ptr= schema_generator) && table_setup());
 
-    return message::TablePtr();
+    return message::table::shared_ptr();
   }
 
   operator const drizzled::TableIdentifier*()

=== modified file 'drizzled/generator/table.h'
--- drizzled/generator/table.h	2010-11-10 01:54:13 +0000
+++ drizzled/generator/table.h	2010-11-19 00:00:46 +0000
@@ -30,7 +30,7 @@
 class Table
 {
   Session &session;
-  message::TablePtr table;
+  message::table::shared_ptr table;
 
   TableIdentifiers table_names;
   TableIdentifiers::const_iterator table_iterator;
@@ -39,7 +39,7 @@
 
   Table(Session &arg, const SchemaIdentifier &schema_identifier);
 
-  operator const drizzled::message::TablePtr()
+  operator const drizzled::message::table::shared_ptr()
   {
     while (table_iterator != table_names.end())
     {
@@ -51,7 +51,7 @@
         return table;
     }
 
-    return message::TablePtr();
+    return message::table::shared_ptr();
   }
 
   operator const drizzled::TableIdentifier*()

=== modified file 'drizzled/message.h'
--- drizzled/message.h	2010-11-10 18:09:37 +0000
+++ drizzled/message.h	2010-11-19 00:00:46 +0000
@@ -32,6 +32,9 @@
 
 namespace drizzled {
 namespace message {
+namespace table {
+typedef boost::shared_ptr<drizzled::message::Table> shared_ptr;
+}
 
 void init(drizzled::message::Schema &arg, const std::string &name_arg);
 void init(drizzled::message::Table &arg, const std::string &name_arg, const std::string &schema_arg, const std::string &engine_arg);

=== modified file 'drizzled/message/cache.cc'
--- drizzled/message/cache.cc	2010-11-09 17:12:40 +0000
+++ drizzled/message/cache.cc	2010-11-19 00:00:46 +0000
@@ -27,7 +27,7 @@
 
 namespace message {
 
-TablePtr Cache::find(const TableIdentifier &identifier)
+table::shared_ptr Cache::find(const TableIdentifier &identifier)
 {
   boost_unique_lock_t scoped_lock(_access);
 
@@ -37,7 +37,7 @@
     return (*iter).second;
   }
 
-  return TablePtr();
+  return table::shared_ptr();
 }
 
 void Cache::erase(const TableIdentifier &identifier)
@@ -47,7 +47,7 @@
   cache.erase(identifier.getKey());
 }
 
-bool Cache::insert(const TableIdentifier &identifier, TablePtr share)
+bool Cache::insert(const TableIdentifier &identifier, table::shared_ptr share)
 {
   boost_unique_lock_t scoped_lock(_access);
 
@@ -61,7 +61,7 @@
 {
   boost_unique_lock_t scoped_lock(_access);
 
-  TablePtr share;
+  table::shared_ptr share;
   share.reset(new message::Table(message));
 
   std::pair<Map::iterator, bool> ret=

=== modified file 'drizzled/message/cache.h'
--- drizzled/message/cache.h	2010-11-09 17:12:40 +0000
+++ drizzled/message/cache.h	2010-11-19 00:00:46 +0000
@@ -24,15 +24,13 @@
 #include <boost/unordered_map.hpp>
 #include <boost/shared_ptr.hpp>
 
-#include "drizzled/message/table.pb.h"
+#include "drizzled/message.h"
 #include "drizzled/identifier/table.h"
 
 namespace drizzled {
 namespace message {
 
-typedef boost::shared_ptr<drizzled::message::Table> TablePtr;
-
-typedef boost::unordered_map< drizzled::TableIdentifier::Key, TablePtr> Map;
+typedef boost::unordered_map< drizzled::TableIdentifier::Key, drizzled::message::table::shared_ptr> Map;
 
 class Cache
 {
@@ -57,9 +55,9 @@
     cache.rehash(arg);
   }
 
-  TablePtr find(const TableIdentifier &identifier);
+  drizzled::message::table::shared_ptr find(const TableIdentifier &identifier);
   void erase(const TableIdentifier &identifier);
-  bool insert(const TableIdentifier &identifier, TablePtr share);
+  bool insert(const TableIdentifier &identifier, drizzled::message::table::shared_ptr share);
   bool insert(const TableIdentifier &identifier, message::Table &share);
 };
 

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2010-11-10 01:54:13 +0000
+++ drizzled/plugin/storage_engine.cc	2010-11-19 00:00:46 +0000
@@ -370,7 +370,7 @@
 */
 int StorageEngine::getTableDefinition(Session& session,
                                       const TableIdentifier &identifier,
-                                      message::TablePtr &table_message,
+                                      message::table::shared_ptr &table_message,
                                       bool include_temporary_tables)
 {
   int err= ENOENT;
@@ -385,7 +385,7 @@
     }
   }
 
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   if ((table_ptr= drizzled::message::Cache::singleton().find(identifier)))
   {
     table_message= table_ptr;
@@ -445,7 +445,7 @@
 {
   int error= 0;
   int error_proto;
-  message::TablePtr src_proto;
+  message::table::shared_ptr src_proto;
   StorageEngine *engine;
 
   error_proto= StorageEngine::getTableDefinition(session, identifier, src_proto);

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2010-11-10 01:54:13 +0000
+++ drizzled/plugin/storage_engine.h	2010-11-19 00:00:46 +0000
@@ -299,7 +299,7 @@
 
   static int getTableDefinition(Session& session,
                                 const drizzled::TableIdentifier &identifier,
-                                message::TablePtr &table_proto,
+                                message::table::shared_ptr &table_proto,
                                 bool include_temporary_tables= true);
   static bool doesTableExist(Session &session,
                              const drizzled::TableIdentifier &identifier,

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2010-11-17 03:47:29 +0000
+++ drizzled/sql_table.cc	2010-11-19 00:00:46 +0000
@@ -1978,7 +1978,7 @@
 {
   int protoerr= EEXIST;
   message::Table new_proto;
-  message::TablePtr src_proto;
+  message::table::shared_ptr src_proto;
 
   protoerr= plugin::StorageEngine::getTableDefinition(session,
                                                       src_table,

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2010-11-17 03:47:29 +0000
+++ drizzled/statement/alter_table.cc	2010-11-19 00:00:46 +0000
@@ -107,7 +107,7 @@
   assert(select_lex->db);
 
   /* Chicken/Egg... we need to search for the table, to know if the table exists, so we can build a full identifier from it */
-  message::TablePtr original_table_message;
+  message::table::shared_ptr original_table_message;
   {
     TableIdentifier identifier(first_table->getSchemaName(), first_table->getTableName());
     if (plugin::StorageEngine::getTableDefinition(*session, identifier, original_table_message) != EEXIST)

=== modified file 'drizzled/statement/create_index.cc'
--- drizzled/statement/create_index.cc	2010-11-10 01:54:13 +0000
+++ drizzled/statement/create_index.cc	2010-11-19 00:00:46 +0000
@@ -34,7 +34,7 @@
   TableList *all_tables= session->lex->query_tables;
 
   /* Chicken/Egg... we need to search for the table, to know if the table exists, so we can build a full identifier from it */
-  message::TablePtr original_table_message;
+  message::table::shared_ptr original_table_message;
   {
     TableIdentifier identifier(first_table->getSchemaName(), first_table->getTableName());
     if (plugin::StorageEngine::getTableDefinition(*session, identifier, original_table_message) != EEXIST)

=== modified file 'drizzled/statement/drop_index.cc'
--- drizzled/statement/drop_index.cc	2010-11-10 01:54:13 +0000
+++ drizzled/statement/drop_index.cc	2010-11-19 00:00:46 +0000
@@ -34,7 +34,7 @@
   TableList *all_tables= session->lex->query_tables;
 
   /* Chicken/Egg... we need to search for the table, to know if the table exists, so we can build a full identifier from it */
-  message::TablePtr original_table_message;
+  message::table::shared_ptr original_table_message;
   {
     TableIdentifier identifier(first_table->getSchemaName(), first_table->getTableName());
     if (plugin::StorageEngine::getTableDefinition(*session, identifier, original_table_message) != EEXIST)

=== modified file 'drizzled/statement/rename_table.cc'
--- drizzled/statement/rename_table.cc	2010-11-15 05:43:10 +0000
+++ drizzled/statement/rename_table.cc	2010-11-19 00:00:46 +0000
@@ -152,7 +152,7 @@
   }
 
   plugin::StorageEngine *engine= NULL;
-  message::TablePtr table_proto;
+  message::table::shared_ptr table_proto;
 
   TableIdentifier old_identifier(ren_table->getSchemaName(), old_alias, message::Table::STANDARD);
 

=== modified file 'plugin/information_schema_dictionary/key_column_usage.h'
--- plugin/information_schema_dictionary/key_column_usage.h	2010-11-10 01:54:13 +0000
+++ plugin/information_schema_dictionary/key_column_usage.h	2010-11-19 00:00:46 +0000
@@ -29,7 +29,7 @@
 
   class Generator : public InformationSchema::Generator 
   {
-    drizzled::message::TablePtr table_message;
+    drizzled::message::table::shared_ptr table_message;
     drizzled::generator::AllTables generator;
     int32_t index_iterator;
     int32_t index_part_iterator;

=== modified file 'plugin/information_schema_dictionary/table_constraints.h'
--- plugin/information_schema_dictionary/table_constraints.h	2010-11-10 01:54:13 +0000
+++ plugin/information_schema_dictionary/table_constraints.h	2010-11-19 00:00:46 +0000
@@ -29,7 +29,7 @@
 
   class Generator : public InformationSchema::Generator 
   {
-    drizzled::message::TablePtr table_message;
+    drizzled::message::table::shared_ptr table_message;
     drizzled::generator::AllTables generator;
     int32_t index_iterator;
 

=== modified file 'plugin/schema_dictionary/foreign_keys.cc'
--- plugin/schema_dictionary/foreign_keys.cc	2010-11-10 01:54:13 +0000
+++ plugin/schema_dictionary/foreign_keys.cc	2010-11-19 00:00:46 +0000
@@ -51,7 +51,7 @@
 
 bool ForeignKeysTool::Generator::nextTable()
 {
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   while ((table_ptr= all_tables_generator))
   {
     table_message.CopyFrom(*table_ptr);

=== modified file 'plugin/schema_dictionary/tables.cc'
--- plugin/schema_dictionary/tables.cc	2010-11-10 01:54:13 +0000
+++ plugin/schema_dictionary/tables.cc	2010-11-19 00:00:46 +0000
@@ -68,7 +68,7 @@
 
 bool TablesTool::Generator::nextTable()
 {
-  drizzled::message::TablePtr table_ptr;
+  drizzled::message::table::shared_ptr table_ptr;
   while ((table_ptr= all_tables_generator))
   {
     table_message.CopyFrom(*table_ptr);

=== modified file 'plugin/show_dictionary/show_columns.h'
--- plugin/show_dictionary/show_columns.h	2010-11-10 01:54:13 +0000
+++ plugin/show_dictionary/show_columns.h	2010-11-19 00:00:46 +0000
@@ -34,7 +34,7 @@
     bool is_columns_primed;
 
     int32_t column_iterator;
-    drizzled::message::TablePtr table_proto;
+    drizzled::message::table::shared_ptr table_proto;
     drizzled::message::Table::Field column;
 
     bool nextColumnCore();
@@ -42,7 +42,7 @@
 
     std::string table_name;
 
-    drizzled::message::TablePtr getTableProto()
+    drizzled::message::table::shared_ptr getTableProto()
     {
       return table_proto;
     }

=== modified file 'plugin/show_dictionary/show_create_table.h'
--- plugin/show_dictionary/show_create_table.h	2010-11-10 01:54:13 +0000
+++ plugin/show_dictionary/show_create_table.h	2010-11-19 00:00:46 +0000
@@ -29,7 +29,7 @@
   class Generator : public show_dictionary::Show::Generator 
   {
     bool is_primed;
-    drizzled::message::TablePtr table_message;
+    drizzled::message::table::shared_ptr table_message;
 
   public:
     Generator(drizzled::Field **arg);

=== modified file 'plugin/show_dictionary/show_indexes.h'
--- plugin/show_dictionary/show_indexes.h	2010-11-10 01:54:13 +0000
+++ plugin/show_dictionary/show_indexes.h	2010-11-19 00:00:46 +0000
@@ -35,7 +35,7 @@
     int32_t index_iterator;
     int32_t index_part_iterator;
 
-    drizzled::message::TablePtr table_proto;
+    drizzled::message::table::shared_ptr table_proto;
     drizzled::message::Table::Index index;
     drizzled::message::Table::Index::IndexPart index_part;
 

